org.eclipse.viatra.query.runtime.api

## Class LazyLoadingQueryGroup

- java.lang.Object
- - org.eclipse.viatra.query.runtime.api.impl.BaseQueryGroup
  - - org.eclipse.viatra.query.runtime.api.LazyLoadingQueryGroup

- All Implemented Interfaces:
    IQueryGroup

      public class LazyLoadingQueryGroup
      extends BaseQueryGroup

  Initializes a query group from a set of query providers. The query providers are not executed until the queries themselves are asked in the `getSpecifications()` method.
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyLoadingQueryGroup(java.util.Set<? extends java.util.function.Supplier<IQuerySpecification<?>>> providers)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<IQuerySpecification<?>>` | `getSpecifications()` Returns the currently assigned `IQuerySpecification`s.
    `static IQueryGroup` | `of(java.util.Set<? extends java.util.function.Supplier<IQuerySpecification<?>>> querySpecifications)`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseQueryGroup

      `prepare, prepare`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyLoadingQueryGroup

          public LazyLoadingQueryGroup(java.util.Set<? extends java.util.function.Supplier<IQuerySpecification<?>>> providers)

      Parameters:
        `providers` - a non-null set to initialize the group

  - ### Method Detail

    - #### of

          public static IQueryGroup of(java.util.Set<? extends java.util.function.Supplier<IQuerySpecification<?>>> querySpecifications)

      Parameters:
        `providers` - a non-null set to initialize the group

    - #### getSpecifications

          public java.util.Set<IQuerySpecification<?>> getSpecifications()

      Description copied from interface: `IQueryGroup`
      Returns the currently assigned `IQuerySpecification`s.